@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap");

* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    padding: 0;
    margin: 0;
    list-style-type: none;
    outline: none;
    text-decoration: none;
    word-wrap: break-word;
}

.lato-regular {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal
}

.lato-bold {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: normal
}

.oneLineTruncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%
}

.eleKeyCandidates {
    display: block;
    /* max-width: 620px; */
    /* margin: 0 auto; */
    /* width: calc(100% - 23px); */
    width: 100%;
    /* background-color: #F6F5FF; */
    background-color: #FAFAFA;
    border: 1px solid #F2F1F7;
    border-radius: 10px;
    padding: 16px 0px 16px 16px;
    box-sizing: border-box;
    font-family: "Lato", sans-serif;
    font-weight: 400
}

.eleKeyCandidates * {
    box-sizing: border-box
}

@media (max-width: 768px) {
    .eleKeyCandidates {
        padding: 0px 0 12px;
        width: calc(100% - 2px);
        border-radius: 0;
    }

    .eleKeyCandidates .eleKeyCandidatesTitle {
        margin-left: 16px;
        margin-right: 16px;
    }
}

.eleKeyCandidates .eleKeyCandidatesTitle {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 12px;
    padding-right: 12px
}

@media (max-width: 768px) {
    .eleKeyCandidates .eleKeyCandidatesTitle {
        margin-bottom: 12px
    }
}

.eleKeyCandidates .eleKeyCandidatesTitle h2 {
    margin: 0;
    padding: 0;
    font-size: 20px;
    line-height: 36px;
    font-family: "Lato", sans-serif;
    font-weight: 700
}

.eleKeyCandidates .eleKeyCandidatesTitle .eleShareWrap {
    display: block
}

.eleKeyCandidates .eleKeyCandidatesTitle .eleShareWrap .eleShareIcon {
    display: block;
    width: 18px;
    height: 18px;
    background: url("https://www.hindustantimes.com/static-content/1y/election/images/shareBlue.png") no-repeat;
    background-size: cover;
    cursor: pointer
}

.eleKeyCandidates .eleKeyCandidatesTitle .eleShareWrap .eleShareInfo {
    display: none;
    position: absolute
}

.eleKeyCandidates .eleKeyCandidatesLists {
    display: flex;
    font-family: "Lato", sans-serif;
    color: #757575
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesItem {
    width: 100%;
    border-radius: 10px;
    border: 1px solid #F2F1F7;
    background-color: #fff;
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08);
    border: 1px solid #F2F1F7;
    padding: 16px 8px;
    display: block;
    text-decoration: none;
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesPic {
    width: 103px;
    height: 103px;
    display: block;
    margin: 0 auto;
    position: relative
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesPic .eleKeyCandidatesPicWrap {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    overflow: hidden;
    display: block;
    background-color: #ddd
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesPic .eleKeyCandidatesPicWrap img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesPic .elePartyLogo {
    width: 27px;
    height: 27px;
    display: block;
    padding: 2px;
    background-color: #fff;
    border-radius: 50%;
    overflow: hidden;
    position: absolute;
    bottom: -3px;
    right: -3px
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesPic .elePartyLogo img {
    width: 100%;
    height: 100%;
    object-fit: cover
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesInfo {
    display: block;
    margin-top: 8px;
    display: flex;
    flex-direction: column;
    align-items: center
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesName {
    font-size: 16px;
    font-weight: 700;
    line-height: 25px;
    color: #212121;
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
    text-align: center;
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesPartyName {
    font-size: 14px;
    font-weight: 700;
    margin: 6px 0;
    text-transform: uppercase;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
    text-align: center;
    color: #757575;
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesConsistencyInfo {
    font-size: 14px;
    font-weight: 400;
    text-align: center;
    margin: 0;
    width: 100%;
    color: #757575;
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesConsistencyInfo p {
    margin: 0
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesStatus {
    border-radius: 22px;
    padding: 0 12px 2px;
    border: 1px solid transparent;
    display: flex;
    align-items: center;
    color: #fff;
    font-size: 14px;
    font-weight: 400;
    margin-top: 12px
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesStatus:after {
    content: '';
    background: url("https://www.hindustantimes.com/static-content/1y/election/images/statusArrow.png") no-repeat;
    background-size: cover;
    width: 10px;
    height: 12px;
    display: block;
    margin-left: 4px;
    position: relative
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesStatus.leading {
    border-color: #137C4B;
    /* background: linear-gradient(to right, #2aa76d 1%, #10412a 100%) */
    background-color: #137C4B;
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesStatus.trailing {
    border-color: #BB2306;
    background: #BB2306
}

.eleKeyCandidates .eleKeyCandidatesLists .eleKeyCandidatesStatus.trailing:after {
    transform: rotate(180deg);
    top: 2px
}

.eleKeyCandidates .swiper {
    margin-left: auto;
    margin-right: auto;
    position: relative;
    overflow: hidden;
    list-style: none;
    z-index: 1;
    display: block;
}

@media (max-width: 768px) {
    .eleKeyCandidates .swiper {
        padding: 0px 16px;
    }
}

.eleKeyCandidates .swiper-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: flex;
    transition-property: transform;
    transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
    box-sizing: content-box
}

.eleKeyCandidates .swiper-slide {
    flex-shrink: 0;
    width: 177px;
    height: 100%;
    position: relative;
    transition-property: transform;
    display: block
}

.eleKeyCandidates .swiper-horizontal {
    touch-action: pan-y
}

.eleKeyCandidates .swiper-pagination {
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
}

@media (max-width: 768px) {
    .eleKeyCandidates .swiper-pagination {
        display: none
    }
}

.eleKeyCandidates .swiper-pagination .swiper-pagination-bullet {
    min-width: 8px;
    width: 8px;
    height: 8px;
    display: inline-block;
    border-radius: 50%;
    background: #D9D9D9;
    margin: 0 4px;
    cursor: pointer;
    display: none;
} 

.eleSocialEl {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    position: relative;
    z-index: 9
}

.eleSocialEl .share {
    display: inline-block;
    cursor: pointer;
    padding: 12px 13px
}

.eleSocialEl .share::after {
    content: '';
    display: block;
    width: 18px;
    height: 18px;
    background: url("https://www.hindustantimes.com/static-content/1y/election/images/shareBlue.png") no-repeat;
    background-size: cover;
    cursor: pointer
}

.eleSocialEl .sharePopUp {
    position: absolute;
    top: 36px;
    right: 0;
    width: 240px;
    padding: 10px 12px;
    color: #999;
    font-size: 14px;
    line-height: 17px;
    font-family: "Lato", sans-serif;
    border: solid 1px #eee;
    background-color: #fff;
    z-index: 1;
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-items: center;
    flex-wrap: nowrap;
    box-shadow: 0 0 6px 0 rgba(64, 64, 64, 0.160784);
    border-radius: 6px;
    display: none
}

.eleSocialEl .sharePopUp .labelTxt {
    color: #999;
    font-size: 14px;
    width: 100%;
    margin-bottom: 8px;
    text-align: center
}

.eleSocialEl .sharePopUp .shareIcons {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: left
}

.eleSocialEl .sharePopUp .shareIcons a {
    margin: 0 8px
}

.eleSocialEl .sharePopUp .shareIcons a::before {
    content: "";
    display: block;
    background-position: -30px -329px;
    height: 19px;
    width: 20px;
    background-image: url(https://www.hindustantimes.com/static-content/1y/ht/ht-sprite-6-t.png);
    background-size: 81px 3011px
}

.eleSocialEl .sharePopUp .shareIcons a.fb::before {
    background-position: -31px -378px
}

.eleSocialEl .sharePopUp .shareIcons a.tw::before {
    background-position: -31px -2827px;
    height: 18px
}

.eleSocialEl .sharePopUp .shareIcons a.ln::before {
    background-position: -31px -281px
}

.eleSocialEl .sharePopUp .copyUrl {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-items: center;
    padding-left: 10px;
    border-left: solid 1px #eee;
    width: 75px;
    flex-shrink: 0
}

.eleSocialEl .sharePopUp .copyUrl .copyLink {
    cursor: pointer;
    position: relative;
    margin: 0 auto
}

.eleSocialEl .sharePopUp .copyUrl .copyLink::before {
    content: "";
    display: block;
    height: 28px;
    width: 30px;
    margin: 0 auto 2px;
    background-position: -34px -235px;
    height: 18px;
    width: 14px;
    background-image: url(https://www.hindustantimes.com/static-content/1y/ht/ht-sprite-6-t.png);
    background-size: 81px 3011px
}

.eleSocialEl .sharePopUp .icons {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    align-items: center;
    flex-wrap: nowrap
}

.eleSocialEl .sharePopUp .icons a:first-child {
    margin-left: 0
}

.eleSocialEl input[name="shareElPop"] {
    display: none
}

.eleSocialEl input[name="shareElPop"]:checked~.sharePopUp {
    display: flex
}